Subject: Re: [PATCH v4 2/4] Add testcases for the --detect-dir-renames diffcore flag.

From: Yann Dirson <[email-masked]>
Date: Mon, 4 Oct 2010 20:32:02 +0200

On Mon, Oct 04, 2010 at 03:03:35AM +0000, ?var Arnfj?r? Bjarmason wrote:
> > +mkdir a
[...]
> > +sed <a/path0 >a/path3 s/Line/Blurb/
> 
> Should be in a test, see "Put all code inside test_expect_success and
> other assertions." in t/README.

While I can see the value of having everything run from the test
framework, I was thinking it would be even better to have a special
"test_setup" clause, which could be as a first step just an alias to
test_expect_success, but could afterwards gain features such as "not
counted as success, and counted specially when failed", so we get
better stats of the number of failures we get, and so that editor
outlining/folding modes could be developped in a useful fashion.